<template>    
<div>
  <Loader v-if="loading" />

  <div v-else class="app-main-layout">

    <!-- <Navbar @click="isOpen=!isOpen" /> -->
    <Navbar @dehaze_click="isOpen=!isOpen" />

    <Sidebar v-model="isOpen" />

    <main class="app-content" :class="{full: !isOpen}" >
        <div class="app-page">    
            <router-view/>
        </div>
    </main>

    <div class="fixed-action-btn">
    <router-link v-tooltip="'Add new record'" class="btn-floating btn-large blue" to="/record">
        <i class="large material-icons">add</i>
    </router-link>
    </div>
  </div>
  </div>
</template>

<script>
import Navbar from '@/components/app/Navbar'
import Sidebar from '@/components/app/Sidebar'
import messages from '@/utils/messages'

export default {
  name: 'main-layout',
  computed:{
        error() {
            this.$store.getters.error
        }
    },
    watch:{
        error(fbError) {
            console.log("fbError",fbError);
            this.$error(messages[fbError.error.message] || "Nimadir xato ketdi");
        }
    },
  data:()=>({
      isOpen:true,
      loading:true
  }),
  async mounted(){
    if(!Object.keys(this.$store.getters.info).length){
      await this.$store.dispatch('fetchinfo')
    }
    this.loading=false;
  },
  components:{
    Sidebar,
    Navbar
  },
  methods:{
  }
}
</script>